Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-gtk-4.0/infradlg.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions | Variables
infradlg.c File Reference
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "extras.h"`
`#include "game.h"`
`#include "client_main.h"`
`#include "dialogs_g.h"`
`#include "mapview_common.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "infradlg.h"`

Go to the source code of this file.

## Data Structures

struct | infra_cb_data

## Functions

static bool | infra_dialog_open (void)
static void | infra_response_callback (GtkWidget *dlg, gint arg)
static void | infra_selected_callback (GtkButton *but, gpointer userdata)
void | infra_dialog_popup (void)
void | update_infra_dialog (void)
bool | infra_placement_mode (void)
void | infra_placement_set_tile (struct tile *ptile)

## Variables

static GtkWidget * | infra_list_box = NULL
static GtkWidget * | instruction_label = NULL
static GtkWidget * | points_label = NULL
static int | infra_rows = 0

## Function Documentation

## ◆ infra_dialog_open()

static bool infra_dialog_open | ( | void |  | ) |

static

Is infra dialog currently open?

Definition at line 51 of file infradlg.c.

## ◆ infra_dialog_popup()

void infra_dialog_popup | ( | void |  | ) |

Open infra placement dialog

Definition at line 85 of file infradlg.c.

## ◆ infra_placement_mode()

bool infra_placement_mode | ( | void |  | ) |

Are we in infra placement mode at the moment?

Definition at line 156 of file infradlg.c.

## ◆ infra_placement_set_tile()

void infra_placement_set_tile | ( | struct tile * | ptile | ) |

Set tile for the infra placement.

Definition at line 164 of file infradlg.c.

## ◆ infra_response_callback()

static void infra_response_callback | ( | GtkWidget * | dlg,
|  | gint | arg
| ) |  |

static

Handle infra dialog closing.

Definition at line 59 of file infradlg.c.

## ◆ infra_selected_callback()

static void infra_selected_callback | ( | GtkButton * | but,
|  | gpointer | userdata
| ) |  |

static

Handle user infra selection.

Definition at line 74 of file infradlg.c.

## ◆ update_infra_dialog()

void update_infra_dialog | ( | void |  | ) |

Refresh infra dialog

Definition at line 139 of file infradlg.c.

## Variable Documentation

## ◆ infra_list_box

GtkWidget* infra_list_box = NULL

static

Definition at line 38 of file infradlg.c.

Referenced by infra_dialog_open(), infra_dialog_popup(), infra_placement_mode(), infra_placement_set_tile(), and infra_response_callback().

## ◆ infra_rows

int infra_rows = 0

static

Definition at line 41 of file infradlg.c.

## ◆ instruction_label

GtkWidget* instruction_label = NULL

static

Definition at line 39 of file infradlg.c.

## ◆ points_label

GtkWidget* points_label = NULL

static

Definition at line 40 of file infradlg.c.